%define major 0
%define libname %mklibname unicode %{major}

Summary: Unicode library
Name: libunicode
Version: 0.4.gnome
Release: %mkrel 11
License: LGPL
Group: System/Libraries
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
# (fc) 0.4.gnome-3mdk don't add -I/usr/include and -L/usr/lib to CFLAGS/LDFLAGS
Patch0:  libunicode-0.4.gnome-fixinclude.patch
Url: http://www.pango.org/download/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires:	automake1.4

%description
A library to handle unicode strings

%package -n %{libname}
Summary: %{summary}
Group: %{group}
Provides: %{name}
Obsoletes: %{name}

%description -n %{libname}
A library to handle unicode strings

%package -n %{libname}-devel
Summary: A unicode manipulation library
Group: Development/Other
Provides: %{name}-devel = %{name}-%{release}
Obsoletes: %{name}-devel
Requires: %{libname} = %{version}

%description -n %{libname}-devel
This package package includes the static libraries and header files
for the libunicode package.

%prep
%setup -q -n %{name}-0.4
%patch0 -p1 -b .fixflags

# (tv) fix build:
rm -f ltmain.sh
libtoolize -c -f 
#needed by patch0
rm -f configure
aclocal-1.4
autoconf

%build

%configure2_5x

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%files -n %{libname}
%defattr(-,root,root)
%doc README AUTHORS COPYING ChangeLog TODO
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-, root, root)
%{_bindir}/*
%{_libdir}/*.so
%{_libdir}/*a
%{_libdir}/*.sh
%{_includedir}/*



%changelog
* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.4.gnome-11mdv2008.1
+ Revision: 136570
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Aug 23 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.4.gnome-11mdv2008.0
+ Revision: 70046
- fix build
- use %%mkrel


* Mon Feb 07 2005 Stefan van der Eijk <stefan@eijk.nu> 0.4.gnome-10mdk
- BuildRequires
- requires-on-release

* Wed Sep 29 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.gnome-9mdk
- Update patch0 to no generate non-existing makefile

* Mon Sep 20 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.4.gnome-8mdk
- use automake 1.4

* Fri Sep 05 2003 Pablo Saratxaga <pablo@mandrakesoft.com> - 0.4.gnome-7mdk
- changed %%lib_name to %%libname

* Mon Aug 04 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.4.gnome-6mdk
- mklibname

* Tue Jul 22 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.4.gnome-5mdk
- rebuild
- rm -rf $RPM_BUILD_ROOT in %%install, not %%prep

* Tue Jul 23 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.gnome-4mdk
- Fix rpmlint warnings

* Tue Jul 23 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.gnome-3mdk
- Patch0: Don't add -I/usr/include in CFLAGS

* Tue Aug 07 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 0.4.gnome-2mdk
- rebuild in new environment

* Mon Dec 18 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.gnome-1mdk
- Release 0.4.gnome (patch no longer needed)
- Use new lib policy

* Wed Sep 20 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.4-5mdk
- patch to make gnome-config aware of libunicode

* Mon Aug 21 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4-4mdk
- Rebuild to provide again devel rpm

* Mon Jul 31 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.4-3mdk
- down to the 0.4 release of the real unicode library
- macros

* Wed Mar 22 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.4-2mdk
- clean specfile
- spechelper fixcs
- fix group

* Mon Mar 13 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 0.4-1mdk
- updated to 0.4
- Made a separate *-devel package (as in rpms from pango.org)

* Fri Jan 21 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.3-3mdk
- libtoolize --force.

* Tue Nov 02 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- rebuild for new environmint

* Thu Aug 05 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- first rpm version

